#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	xterm
Version		:	378
Release		:	17.0.10.rel%{?dist}
Summary		:	Terminal emulator for the X Window System
Group		:	User Interface/X

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	http://invisible-mirror.net/archives/xterm

Source0		:	%{name}-%{version}.tgz

#-----------------------------------------------------------------------------
BuildRequires	:	xorg-libXaw
#-----------------------------------------------------------------------------
%description
The xterm program is a terminal emulator for the X Window System.
It provides DEC VT102 and Tektronix 4014 compatible terminals for
programs that can't use the window system directly.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc NEWS README THANKS
%{_sysconfdir}/X11/app-defaults/*
%{_bindir}/%{name}
%{_bindir}/koi8r%{name}
%{_bindir}/u%{name}
%{_bindir}/resize
%{_datadir}/pixmaps/*%{name}*.xpm
%{_datadir}/applications/*%{name}*.desktop
%{_mandir}/man1/*.1.gz

#=============================================================================
%prep
%setup -q 

#-----------------------------------------------------------------------------
#building application
%build

sed -i								\
  -e "/v0/{n;s/new:/new:kb=^?:/}"				\
  termcap
printf '\tkbs=\\177,\n' >> terminfo

TERMINFO=%{_datadir}/terminfo					\
./configure							\
        --prefix=%{_prefix}					\
        --sysconfdir=%{_sysconfdir}				\
	--exec-prefix=%{_exec_prefix}				\
        --sbindir=%{_sbindir}					\
	--mandir=%{_mandir}					\
	--libdir=%{_libdir}					\
	--datadir=%{_datadir}					\
	--infodir=%{_infodir}					\
	--enable-mini-luit					\
	--disable-luit						\
	--with-app-defaults=%{_sysconfdir}/X11/app-defaults	\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#colliding with ncurses definition
#%{__make}						\
#	DESTDIR=%{buildroot}				\
#	install-ti

%{__mkdir_p} %{buildroot}%{_datadir}/applications  
cp 							\
	*.desktop					\
	%{buildroot}%{_datadir}/applications  

cat >> %{buildroot}%{_sysconfdir}/X11/app-defaults/XTerm << "EOF"
*VT100*locale: true
*VT100*faceName: Monospace
*VT100*faceSize: 10
*backarrowKeyIsErase: true
*ptyInitialErase: true
EOF

#-----------------------------------------------------------------------------
%changelog
